USN-128-1: nasm vulnerability
Posted on: 05/17/2005 01:59 PM

nasm security updates are available for Ubuntu Linux 4.10 and 5.04

==========================================================
Ubuntu Security Notice USN-128-1 May 17, 2005
nasm vulnerability
CAN-2005-1194
==========================================================

A security issue affects the following Ubuntu releases:

Ubuntu 4.10 (Warty Warthog)
Ubuntu 5.04 (Hoary Hedgehog)

The following packages are affected:

nasm

The problem can be corrected by upgrading the affected package to version 0.98.38-1ubuntu0.2 (for Ubuntu 4.10), or 0.98.38-1.1ubuntu0.1 (for Ubuntu 5.04). In general, a standard system upgrade is sufficient to effect the necessary changes.

Details follow:

Josh Bressers discovered a buffer overflow in the ieee_putascii() function of nasm. If an attacker tricked a user into assembling a malicious source file, they could exploit this to execute arbitrary code with the privileges of the user that runs nasm.

Updated packages for Ubuntu 4.10 (Warty Warthog):

Source archives:

http://security.ubuntu.com/ubuntu/pool/main/n/nasm/nasm_0.98.38-1.1ubuntu0.1.diff.gz
Size/MD5: 27898 8f95ff988f440486edc63ec440151c2d
http://security.ubuntu.com/ubuntu/pool/main/n/nasm/nasm_0.98.38-1.1ubuntu0.1.dsc
Size/MD5: 603 33cdd10b84c9e9a1dd15f73c9b153c47
http://security.ubuntu.com/ubuntu/pool/main/n/nasm/nasm_0.98.38.orig.tar.gz
Size/MD5: 641727 9c1df91560651cbfaa73595fe6babb85

amd64 architecture (Athlon64, Opteron, EM64T Xeon)

http://security.ubuntu.com/ubuntu/pool/main/n/nasm/nasm_0.98.38-1.1ubuntu0.1_amd64.deb
Size/MD5: 1586598 60c1ac46242128a01a71b58ea09a5ae2

i386 architecture (x86 compatible Intel/AMD)

http://security.ubuntu.com/ubuntu/pool/main/n/nasm/nasm_0.98.38-1.1ubuntu0.1_i386.deb
Size/MD5: 1545108 3370483c81598767d14fbc7acc1fd596

ia64 architecture (Intel Itanium)

http://security.ubuntu.com/ubuntu/pool/main/n/nasm/nasm_0.98.38-1.1ubuntu0.1_ia64.deb
Size/MD5: 1675442 5c88d9e8300bf703903aeb514c6f7b56

powerpc architecture (Apple Macintosh G3/G4/G5)

http://security.ubuntu.com/ubuntu/pool/main/n/nasm/nasm_0.98.38-1.1ubuntu0.1_powerpc.deb
Size/MD5: 1584648 d68c8851a7d7e5d7d2aa7c8c3cdc20f1

Updated packages for Ubuntu 5.04 (Hoary Hedgehog):

Source archives:

http://security.ubuntu.com/ubuntu/pool/main/n/nasm/nasm_0.98.38-1ubuntu0.2.diff.gz
Size/MD5: 9217 a33da5f77e09a01554af2cadba03dbdf
http://security.ubuntu.com/ubuntu/pool/main/n/nasm/nasm_0.98.38-1ubuntu0.2.dsc
Size/MD5: 598 8a267cd37aa072734657c57046ef9de3
http://security.ubuntu.com/ubuntu/pool/main/n/nasm/nasm_0.98.38.orig.tar.gz
Size/MD5: 641727 9c1df91560651cbfaa73595fe6babb85

amd64 architecture (Athlon64, Opteron, EM64T Xeon)

http://security.ubuntu.com/ubuntu/pool/main/n/nasm/nasm_0.98.38-1ubuntu0.2_amd64.deb
Size/MD5: 1586676 e8c6164c066e4d930799cbaa6ec2430b

i386 architecture (x86 compatible Intel/AMD)

http://security.ubuntu.com/ubuntu/pool/main/n/nasm/nasm_0.98.38-1ubuntu0.2_i386.deb
Size/MD5: 1545588 49d930a71dbf123c4981008712b99e2d

powerpc architecture (Apple Macintosh G3/G4/G5)

http://security.ubuntu.com/ubuntu/pool/main/n/nasm/nasm_0.98.38-1ubuntu0.2_powerpc.deb
Size/MD5: 1584438 6e09c94c6ee56ba88e9d8e8ac02fc270


Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/usn_128_1_nasm_vulnerability.html)